<?xml version="1.0" encoding="UTF-8"?>
<Wix xmlns="http://schemas.microsoft.com/wix/2006/wi">
	<Product Id="*" 
           Name="GenesysWizard" 
           Language="1033" 
           Version="1.2.3.2" 
           Manufacturer="CIMMYT" 
           UpgradeCode="a1c6648b-35b4-46ce-ac71-2c280053e696">
    <!--A binding project using the operator point in the name is not possible, type the relative path to the source build files -->
    <!-- Remember the maximum length of characters in the Windows paths, to try to solve this, move the project to C: or copy the Release folder to obj/Release inside the install project-->
    <!--<?define SourcePath = "..\..\..\GRINGlobal.Client.CuratorTool\GRINGlobal.Client.CuratorTool\bin\Release"?>-->
    <?define SourcePath = "..\..\..\GenesysWizard\bin\Release"?>
		<Package InstallerVersion="200" 
             Compressed="yes" 
             InstallScope="perMachine"
             Comments="Genesys Wizard dll Comments"
             Description="Genesys Wizard dll Description"
             Keywords="GRIN-Global, Curator tool, Wizard, Genesys"
             Platforms="x64"/>

		<MajorUpgrade DowngradeErrorMessage="A newer version of [ProductName] is already installed." />
		<MediaTemplate EmbedCab="yes" />
    <!--
    <PropertyRef Id="PROPERTY_GRINGLOBALCURATORTOOLPATH"/>
    <Condition Message="The GRIN-Global-CuratorTool will be installed on this PC">
      <![CDATA[Installed OR PROPERTY_GRINGLOBALCURATORTOOLPATH <> ""]]>
    </Condition>
    -->
    <WixVariable Id="WixUILicenseRtf" Value="..\..\license.rtf" />
    <UIRef Id="UI_installerDir"/>
		<Feature Id="ProductFeature" Title="GenesysWizard" Level="1">
			<ComponentGroupRef Id="ProductComponents" />
      <ComponentGroupRef Id="RootHelpComponents"/>
		</Feature>
	</Product>

	<Fragment>
		<ComponentGroup Id="ProductComponents" Directory="WIZARDSFOLDER">
      <Component Id="WizardComponen" Guid="{28A7B7DE-BA71-476D-B6EB-2507E87362A0}" Win64="yes">
        <File Id="File_GenesysWizard"
             Source="$(var.SourcePath)\GenesysWizard.dll"
             Name="GenesysWizard.dll"
             KeyPath="yes"
              />
      </Component>
		</ComponentGroup>
    <ComponentGroup Id="RootHelpComponents" Directory="INSTALLFOLDER">
      <Component Id="HelpComponen" Guid="{3EBC0054-A036-4EE2-9896-694B0FCFF273}" Win64="yes">
        <File Id="File_GenesysSys2Client"
             Source="$(var.SourcePath)\GeneSys2.Client.dll"
             Name="GeneSys2.Client.dll"
             KeyPath="yes"
              />
        <File Id="File_NewronsoftJson"
             Source="$(var.SourcePath)\Newtonsoft.Json.dll"
             Name="Newtonsoft.Json.dll"
             KeyPath="no"
              />
      </Component>
    </ComponentGroup>
	</Fragment>
  <!-- Search the path of isntallation from GRIN-Global Curator Tool -->
  <!--
  <Fragment>
    <Property Id="PROPERTY_GRINGLOBALCURATORTOOLPATH">
      <RegistrySearch Id="RegistrySearch_P"
                      Root="HKCU"
                      Key="Software\GRIN-Global\GRIN-Global Curator Tool"
                      Name="pathInstall"
                      Type="directory" />
    </Property>
  </Fragment>
  -->
  
  <!-- Create directory by Property search PROPERTY_GRINGLOBALCURATORTOOLPATH -->
  <Fragment>
    <!--<PropertyRef Id="PROPERTY_GRINGLOBALCURATORTOOLPATH"/>-->
    <!--<SetDirectory Id="INSTALLFOLDER" Value="[PROPERTY_GRINGLOBALTEST]"> <![CDATA[PROPERTY_GRINGLOBALCURATORTOOLPATH]]> </SetDirectory>-->
    <Directory Id="TARGETDIR" Name="SourceDir">
      <Directory Id="ProgramFiles64Folder">
          <Directory Id="GRINGLOBALFOLDER" Name="GRIN-Global">
            <Directory Id="INSTALLFOLDER" Name="GRIN-Global Curator Tool">
              <Directory Id="WIZARDSFOLDER" Name="Wizards" />
            </Directory>
          </Directory>
        </Directory>
    </Directory>
  </Fragment>
  
  <!-- UI to get the path find in the property -->
  <Fragment>
    <!--<PropertyRef Id="PROPERTY_GRINGLOBALCURATORTOOLPATH"/>-->
    <DirectoryRef Id="INSTALLFOLDER"/>
    <UI Id="UI_installerDir">
      <UIRef Id="WixUI_InstallDir" />
      <Property Id="WIXUI_INSTALLDIR"
                Value="INSTALLFOLDER" />
    </UI>
  </Fragment>
</Wix>
